<?php

add_action( 'admin_init', 'wcb_add_custom_design_box' );
function wcb_add_custom_design_box() {
  add_meta_box( 'wcb_custom_degin_metabox','Product background and banner option','wcb_custom_degin_panel','product', 'normal', 'high');
}

function wcb_custom_degin_panel($product){
  wp_enqueue_media();
   $wcb_prod_bg_img = esc_html( get_post_meta( $product->ID,'wcb_product_bg_url', true ));
   $wcb_prod_banner_img = esc_html( get_post_meta( $product->ID,'wcb_product_banner_url', true ));
   
  if ($wcb_prod_bg_img) :
		$wcb_prod_bg_image = $wcb_prod_bg_img;
	else :
		$wcb_prod_bg_image = woocommerce_placeholder_img_src();
	endif;
  
  if ($wcb_prod_banner_img) :
		$wcb_prod_banner_image = $wcb_prod_banner_img;
	else :
		$wcb_prod_banner_image = woocommerce_placeholder_img_src();
	endif; 
?>
<table>
   <tr>
		<td scope="row" valign="top"><label><?php _e( 'Background Image', 'woocommerce' ); ?></label></td>
		<td>
			<div id="wcb_product_bg_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $wcb_prod_bg_image; ?>" width="60px" height="60px" /></div>
			<div style="line-height:60px; width: 500px;">        
				<input type="hidden" id="wcb_product_bg_url" name="wcb_product_bg_url" value="<?php echo $wcb_prod_bg_image; ?>" />
				<button type="button" class="wcb_product_bg_upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
				<button type="button" class="wcb_remove_prod_bg_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
			</div>
			<script type="text/javascript">
				// Uploading files
				var wcb_prod_file_frame;

				jQuery(document).on( 'click', '.wcb_product_bg_upload_image_button', function( event ){          
					event.preventDefault();
					// If the media frame already exists, reopen it.
          
					// Create the media frame.
					wcb_prod_file_frame = wp.media.frames.downloadable_file = wp.media({
						title: '<?php _e( 'Choose an Background image', 'woocommerce' ); ?>',
						button: {
							text: '<?php _e( 'Use image', 'woocommerce' ); ?>',
						},
						multiple: false
					});
					// When an image is selected, run a callback.
					wcb_prod_file_frame.on( 'select', function() {          
						attachment = wcb_prod_file_frame.state().get('selection').first().toJSON();
						jQuery('#wcb_product_bg_url').val(attachment.url);
						jQuery('#wcb_product_bg_thumbnail > img').attr('src', attachment.url );
						jQuery('.wcb_remove_prod_bg_image_button').show();
					});
					// Finally, open the modal.
					wcb_prod_file_frame.open();
				});
        
        
				jQuery(document).on( 'click', '.wcb_remove_prod_bg_image_button', function( event ){
					jQuery('#wcb_product_bg_thumbnail img').attr('src', '<?php echo woocommerce_placeholder_img_src(); ?>');
					jQuery('#wcb_product_bg_url').val('');
					jQuery('.wcb_remove_prod_bg_image_button').hide();
					return false;
				});
			</script>
			<div class="clear"></div>
		</td>
	</tr>
  
    
  
  
  
     <tr>
		<td scope="row" valign="top"><label><?php _e( 'Banner Image', 'woocommerce' ); ?></label></td>
		<td>
			<div id="wcb_product_banner_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $wcb_prod_banner_image; ?>" width="60px" height="60px" /></div>
			<div style="line-height:60px; width: 500px;">        
				<input type="hidden" id="wcb_product_banner_url" name="wcb_product_banner_url" value="<?php echo $wcb_prod_banner_image; ?>" />
				<button type="button" class="wcb_product_banner_upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
				<button type="button" class="wcb_remove_prod_banner_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
			</div>
			<script type="text/javascript">
				// Uploading files
				var wcb_prod_file_frame_banner;

				jQuery(document).on( 'click', '.wcb_product_banner_upload_image_button', function( event ){          
					event.preventDefault();
					// If the media frame already exists, reopen it.          
					// Create the media frame.
					wcb_prod_file_frame_banner = wp.media.frames.downloadable_file = wp.media({
						title: '<?php _e( 'Choose an banner image', 'woocommerce' ); ?>',
						button: {
							text: '<?php _e( 'Use image', 'woocommerce' ); ?>',
						},
						multiple: false
					});
					// When an image is selected, run a callback.
					wcb_prod_file_frame_banner.on( 'select', function() {          
						attachment = wcb_prod_file_frame_banner.state().get('selection').first().toJSON();
						jQuery('#wcb_product_banner_url').val(attachment.url);
						jQuery('#wcb_product_banner_thumbnail > img').attr('src', attachment.url );
						jQuery('.wcb_remove_prod_banner_image_button').show();
					});
					// Finally, open the modal.
					wcb_prod_file_frame_banner.open();
				});
        
        
				jQuery(document).on( 'click', '.wcb_remove_prod_banner_image_button', function( event ){
					jQuery('#wcb_product_banner_thumbnail img').attr('src', '<?php echo woocommerce_placeholder_img_src(); ?>');
					jQuery('#wcb_product_banner_url').val('');
					jQuery('.wcb_remove_prod_banner_image_button').hide();
					return false;
				});
			</script>
			<div class="clear"></div>
		</td>
	</tr>
  
  
  
  
</table>
<?php 
}

add_action( 'save_post','wcb_prod_popup_Content', 10, 2 );
	
function wcb_prod_popup_Content( $post_id,$product) {
  if ( $product->post_type == 'product') {
    if (strpos($_POST['wcb_product_bg_url'],'placeholder')!==false) {
        update_post_meta($post_id, "wcb_product_bg_url", '');
    } else {
        update_post_meta($post_id, "wcb_product_bg_url", $_POST["wcb_product_bg_url"]);
    }
    
    //banner
    if (strpos($_POST['wcb_product_banner_url'],'placeholder')!==false) {
        update_post_meta($post_id, "wcb_product_banner_url", '');
    } else {
        update_post_meta($post_id, "wcb_product_banner_url", $_POST["wcb_product_banner_url"]);
    }
  }
}
?>